Les mises à jour de Arch feront toujours de cette distro, une oeuvre pour les curieux.
J'ai résolu la dernière sans y passer trop de temps mais il faut avouer que c'est pas pour les débutants !
* Symptome :
[root@archx64 ~]# pacman -Syu
:: Synchronisation des bases de données de paquets...
 core est à jour ;
 extra est à jour ;
 community est à jour ;
 archlinuxfr est à jour ;
:: Début de la mise à jour complète du système...
:: Remplacer qt par extra/qt4 ? [O/n] o                                                                        
résolution des dépendances...                                                                                  
recherche des conflits entre paquets...
Erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: bespin-svn : requiert qt
:: ntrack : requiert qt
Intéressant en regardant les news arch je vois ce qu'il faut faire.
Enlever les packages installés depuis AUR et les reinstaller pour les recompiler.
Les AUR sont des packages maintenus par la communauté qui sont disponible sous forme de source et recompilés à l'installation pour créer un package et l'installer.
Cela enrichis notablement Arch bien que cela induise un grand nombre de package non officiels.
Je recompile (facile via yaourt) donc mais un autre probleme apparait :
-- Did not find automoc4 (Automoc4Config.cmake, install git://anongit.kde.org/automoc). (missing:  AUTOMOC4_EXECUTABLE) 
-- Found Perl: /usr/bin/perl (found version "5.16.2") 
-- KDE4 not found, because Automoc4 not found.
-- WARNING: *** ARGB windows are experimental, performance might suffer ***
-- WARNING: *** Variable shadow pixmap sizes will cause glitches on KWin < 4.7.4 and OpenGL ***
-- Found X11: /usr/lib64/libX11.so
-- WARNING: *** KDE4 not found, just the style will be built ***
-- Found Qt-Version 4.8.4 (using /usr/bin/qmake-qt4)
-- Found X11: /usr/lib64/libX11.so
-- Found X11: /usr/lib64/libX11.so
-- Found Qt4: /usr/bin/qmake-qt4 (found suitable version "4.8.4", minimum required is "4.3.0") 
-- INFO: XRender was found - kwin deco & FX via GPU available!
CMake Error at blib/CMakeLists.txt:45 (install):
  install TARGETS given no LIBRARY DESTINATION for shared library target
  "QtBespin".
En googlelant un peu je trouve qu'il faut mettre la variable d'environement suivante :
export Automoc4_DIR=/usr/lib/automoc4
La recompilation se passe ensuite sans problème.
Je dois avouer que je suis content d'avoir trouvé cette solution car bespin est important pour moi et galérer pour ce genre de choses est pas très passionnant.
Ensuite pour le 2eme package ntrack je tombe sur ce message :
 
- qt (compilation depuis AUR)
==> Lancer la compilation de ntrack ? [O/n]
==> ---------------------------------------
==> 
==> Construction et installation du paquet
==> Installation/compilation des dépendances manquantes pour ntrack:
:: Il y a 13 membres dans le groupe qt
:: Dépôt extra
   1) qt5-base  2) qt5-declarative  3) qt5-graphicaleffects  4) qt5-imageformats  5) qt5-jsbackend
   6) qt5-multimedia  7) qt5-quick1  8) qt5-script  9) qt5-svg  10) qt5-tools  11) qt5-translations
   12) qt5-webkit  13) qt5-xmlpatterns

Là j'abandonne car je ne me rappelle même plus pourquoi je l'avais installé.

Il en reste que les AUR de arch sont très pratique mais n'est pas gentoo qui veut et gérer des packages sources necessitent pas mal de coordination.
Autant les problèmes de compil gentoo sont pénibles autant ils restent logiques, dépendances, USE flag, compatibilités de versions (stable/unstable), autant les AUR manquent de logiques même si ça doit finalement fonctionner en cherchant un peu.
Il en reste que Arch est surement la distro la plus à jour en terme de release, une vrai rolling avec une communauté fournie mais toujours un peu expérimentale.
Bon pour le desktop des curieux de linux.